%global pkgvers 4
%global scdate0 20210427
%global schash0 3d81988d741da36d2612f3443165970e0125bccc
%global branch0 master
%global source0 https://github.com/cuhk-eda/dr-cu.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           dr-cu
Version:        4.1.1
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        VLSI detailed routing tool
License:        BSD

URL:            https://github.com/cuhk-eda/dr-cu

BuildRequires:  cmake gcc-c++ git
BuildRequires:  boost-devel lef-devel def-devel

%global __cmake_in_source_build 1

%description
Dr. CU is a VLSI detailed routing tool.
Different from global routing, detailed routing takes
care of many detailed design rules and is performed
on a significantly larger routing grid graph.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
rm -rf ./rsyn/lib/linux
sed -i -e '/\-static/d' src/CMakeLists.txt
sed -i 's|Boost_USE_STATIC_LIBS ON|Boost_USE_STATIC_LIBS OFF|' src/CMakeLists.txt
sed -i -e 's|ispd19dr def|ispd19dr def pthread|' src/CMakeLists.txt
# unused (conflict with boost)
sed -i -e '/for_each_dimension/d' rsyn/src/rsyn/util/dim.h
mkdir build
pushd build
%cmake ../src -Wno-dev \
       -DCMAKE_SKIP_RPATH=ON \
       -DCMAKE_VERBOSE_MAKEFILE=OFF \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo
%cmake_build
popd


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -m 0755 build/ispd19dr %{buildroot}%{_bindir}/


%files
%license LICENSE
%doc README.md
%{_bindir}/*


%changelog
* Thu Aug 05 2021 Cristian Balint <cristian.balint@gmail.com>
- github update releases
